Project:Toolchain/23.0 profile timeline

From Gentoo Wiki
Jump to:navigation Jump to:search
Warning, this page is a work in progress by Dilfridge (talk | contribs). Treat its contents with caution.
Warning
Do not try to use these profiles on production systems until they are officially announced via a news item for the specific architecture.

This page provides the timeline for the 23.0 profile upgrade. Blockers are marked in bold.

arch profiles available binp. available stages testing newsitem publ. stages publ. iso switched old deprecation old removal (1) old removal (2)
alpha 2023-12-03 2023-12-06 2024-02-21 (8) x x x x
amd64 x x x x x x
arm 2023-12-15 2023-12-22 (3) 2024-02-21 (3) x x x x
arm64 2023-12-11 (3) (4) (6) 2024-02-17 (3) (4) (6) x x x x
hppa 2024-02-16 x x x x x x x
ia64 2023-12-09 2024-02-19 2024-02-21 x x x x
loong 2023-12-05 2023-12-24 2024-02-21 x x x x x
m68k 2023-12-06 2024-02-17 (7) 2024-02-21 (7) x x x x x
mips 2024-02-13 x x x x x x
ppc 2023-12-15 2024-02-12 (3) 2024-02-21 (3) x x x x
ppc64 2024-02-10 2024-02-12 (3) 2024-02-21 (3) x x x x
riscv 2023-12-07 2024-02-20 2024-02-21 x x x x x x
s390 2024-01-28 2024-01-31 2024-02-21 x x x x x x
sparc 2023-12-28 2024-01-29 2024-02-21 x x x x x x
x86 2024-01-24 (3) 2024-01-28 (3) 2024-02-21 (3) x x x x x x


The steps are:

  • profiles available: the profiles are listed in profiles.desc, at the time of the newsitem with the same stability as their predecessors
  • binpackages available: binary packages have been built and uploaded to the mirrors
  • newsitem published: the text at Project:Toolchain/23.0 update instructions
  • stages available: the download links on www.g.o point to 23.0 stages
  • iso switched: the install media have been switched to 23.0
  • old deprecation: non-23.0 profiles print out a deprecation warning
  • old removal (1): non-23.0 profiles are removed from profiles.desc
  • old removal (2): non-23.0 profile directories are removed


Remarks / footnotes for the table:

  1. (obsolete)
  2. (obsolete)
  3. Without musl (would need musl-1.2.4 stable)
  4. We still need to figure out the best upgrade procedure for LLVM profiles...
  5. (obsolete)
  6. Needs still bug #916381 resolved, missing feature implementation
  7. Build failure in zlib on musl, bug #924771
  8. Needs still renaming of the stage files